Subject: [MIB-DOCTORS] FW: Review : Proxy Mobile IPv6 Management Information Base

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 24 Oct 2010 20:43:39 +0200

-----Original Message-----
From: Harrie Hazewinkel [mailto:[email-masked]] 
Sent: Sunday, October 24, 2010 8:37 PM
To: Romascanu, Dan (Dan); Jari Arkko
Subject: Review : Proxy Mobile IPv6 Management Information Base

Hi,

It is not a bulleted list, but here are my comments.

Review : Proxy Mobile IPv6 Management Information Base
         <draft-ietf-netlmm-pmipv6-mib-03.txt>

Testing it with libsmi results in:

mibs/PMIPV6-MIB:407: [5] {index-exceeds-too-large} warning: index of row
`pmip6MagProxyCOAEntry' can exceed OID size limit by 142
subidentifier(s)
mibs/PMIPV6-MIB:540: [5] {index-exceeds-too-large} warning: index of row
`pmip6MagHomeNetworkPrefixEntry' can exceed OID size limit by 654
subidentifier(s)
mibs/PMIPV6-MIB:1473: [5] {index-exceeds-too-large} warning: index of
row `pmip6LmaLMAAEntry' can exceed OID size limit by 142
subidentifier(s)
mibs/PMIPV6-MIB:1646: [5] {index-exceeds-too-large} warning: index of
row `pmip6LmaHomeNetworkPrefixEntry' can exceed OID size limit by 654
subidentifier(s)

This is the draft:

> 
> NETLMM Working Group                                      Glenn M.
Keeni
> INTERNET-DRAFT                                      Cyber Solutions
Inc.
> Intended Status: Proposed Standard                              K.
Koide
> Expires: February 19, 2011                              KDDI
Corporation
>                                                            S.
Gundavelli
Cisco
>                                                              R.
Wakikawa
>                                                               Toyota
ITC
>                                                          August 20,
2010
> 
>              Proxy Mobile IPv6 Management Information Base
>                  <draft-ietf-netlmm-pmipv6-mib-03.txt>
> 
> Status of this Memo

> 
>    This Internet-Draft is submitted to IETF in full conformance with
the
>    provisions of BCP 78 and BCP 79.
> 
>    Internet-Drafts are working documents of the Internet Engineering
>    Task Force (IETF), its areas, and its working groups.  Note that
>    other groups may also distribute working documents as Internet-
>    Drafts.
> 
>    Internet-Drafts are draft documents valid for a maximum of six
months
>    and may be updated, replaced, or obsoleted by other documents at
any
>    time.  It is inappropriate to use Internet-Drafts as reference
>    material or to cite them other than as "work in progress."
> 
>    The list of current Internet-Drafts can be accessed at
>    http://www.ietf.org/ietf/1id-abstracts.txt.
> 
>    The list of Internet-Draft Shadow Directories can be accessed at
>    http://www.ietf.org/shadow.html.
> 
>    This document is a product of the NETLMM Working Group. Comments
>    should be addressed to the authors or the mailing list at
>    [email-masked]
> 
>    This Internet-Draft will expire on February 19, 2011.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
1]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
> Copyright Notice
> 
>    Copyright (c) 2010 IETF Trust and the persons identified as the
>    document authors.  All rights reserved.
> 
>    This document is subject to BCP 78 and the IETF Trust's Legal
>    Provisions Relating to IETF Documents
>    (http://trustee.ietf.org/license-info) in effect on the date of
>    publication of this document. Please review these documents
>    carefully, as they describe your rights and restrictions with
>    respect to this document.  Code Components extracted from this
>    document must include Simplified BSD License text as described
>    in Section 4.e of the Trust Legal Provisions and are provided
>    without warranty as described in the Simplified BSD License.
> 
> 
> Abstract
> 
>    This memo defines a portion of the Management Information Base
(MIB),
>    the Proxy Mobile-IPv6 MIB, for use with network management
protocols
>    in the Internet community.  In particular, the Proxy Mobile-IPv6
MIB
>    will be used to monitor and control the mobile access gateway (MAG)

will be -> can be

>    and the local mobility anchor (LMA) functions of a Proxy Mobile
>    IPv6 (PMIPv6) entity.
> 
> Table of Contents
> 
>     1. The Internet-Standard Management Framework ...................
3
>     2. Overview .....................................................
3
>        2.1. The Proxy Mobile IPv6 Protocol Entities .................
3
>        2.2. Terminology .............................................
4
>     3. Proxy Mobile IPv6 Monitoring and Control Requirements ........
4
>     4. MIB Design ...................................................
4
>     5. The Proxy Mobile-IPv6 MIB ....................................
7
>     6. Security Considerations ......................................
58
>     7. IANA Considerations ..........................................
59
>     8. References ...................................................
60
>        8.1. Normative References ....................................
60
>        8.2. Informative References ..................................
61
>     9. Acknowledgements .............................................
62
>    10. Author's Addresses ...........................................
62
>    Appendix: History of Changes
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
2]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
> 1. The Internet-Standard Management Framework
> 
>    For a detailed overview of the documents that describe the current
>    Internet-Standard Management Framework, please refer to section 7
of
>    RFC 3410 [RFC3410].
> 
>    Managed objects are accessed via a virtual information store,
termed
>    the Management Information Base or MIB.  MIB objects are generally
>    accessed through the Simple Network Management Protocol (SNMP).
> 
>    Objects in the MIB are defined using the mechanisms defined in the
>    Structure of Management Information (SMI).  This memo specifies a
MIB
>    module that is compliant to the SMIv2, which is described in STD
58,
>    RFC 2578 [RFC2578], STD 58, RFC 2579 [RFC2579] and STD 58, RFC 2580
>    [RFC2580].
> 
> 
> 2.  Overview
> 
> 2.1.  The Proxy Mobile IPv6 Protocol Entities
>    Proxy Mobile IPv6 (PMIPv6) [RFC5213] is an extension to the Mobile
>    IPv6 (MIPv6) protocol which facilitates network-based localized
>    mobility management (NETLMM) for IPv6 nodes in a PMIPv6 domain.
>    There are three types of entities envisaged by the PMIPv6 protocol.
> 
>       mobile node (MN): In the PMIPv6 context the term mobile node
>       is used to refer to an IP host or router whose mobility is
>       managed by the network.
> 
>       local mobility anchor (LMA): Local Mobility Anchor is the
>       home agent for the mobile node in a Proxy Mobile IPv6 domain.
>       It is the topological anchor point for the mobile node's home
>       network prefix(es) and is the entity that manages the mobile
>       node's binding state.  The local mobility anchor has the
>       functional capabilities of a home agent as defined in Mobile
>       IPv6 base specification [RFC3775] with the additional
>       capabilities required for supporting Proxy Mobile IPv6
>       protocol as defined in the PMIPv6 specification [RFC5213].
> 
>       mobile access gateway (MAG): Mobile Access Gateway is the
>       entity on an access router that manages the mobility-related
>       signaling for a mobile node that is attached to its access
>       link.  It is responsible for tracking the mobile node's
>       movements to and from the access link and for signaling the
>       mobile node's local mobility anchor.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
3]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>    This document defines a set of managed objects (MOs) that can be
used
>    to monitor and control PMIPv6 entities.
> 
> 2.2.  Terminology
>    The terminology used in this document is consistent with the
>    definitions used in the Mobile IPv6 protocol specification
[RFC3775]
>    and in NETLMM Goals document [RFC4831].
> 
>    The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
>    "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY",
and
>    "OPTIONAL" in this document are to be interpreted as described in
BCP
>    14, RFC 2119 [RFC2119].
> 
> 3.  Proxy Mobile IPv6 Monitoring and Control Requirements
> 
>    For managing a PMIPv6 entity it is necessary to monitor
>    the following:
>        o capabilities of PMIPv6 entities
>        o traffic due to PMIPv6 signaling

The traffic should be defined.
Not sure you mean data traffic or signaling traffic.

>        o binding related details (at LMA and MAG)
>        o binding related statistics (at LMA and MAG)
> 
> 
> 4.  MIB Design
> 
>    The basic principle has been to keep the MIB as simple as possible
>    and at the same time to make it effective enough so that the
>    essential needs of monitoring and control are met.
> 
>    It is assumed that the Proxy Mobile IPv6 Management Information
Base
>    (PMIPV6-MIB) will always be implemented in conjunction with the
>    MOBILEIPV6-MIB [RFC4295] and the ifTable from the IF-MIB [RFC2863].
>    The PMIPV6-MIB uses the textual conventions defined in the INET-
>    ADDRESS-MIB [RFC4001].

Elaborate on how the PMIPV6-MIB uses the IF-MIB and the MOBILEIPV6-MIB. 

Also the import section of the MIB uses 

           PhysAddress
                      FROM RFC1213-MIB

Is the PhysAddress not to be imported from SNMPv2-TC?

           Ipv6AddressIfIdentifierTC
                      FROM IP-MIB

>    The PMIPV6-MIB is composed of the following groups of definitions:

The groups do not align with the object groups defined in the MIB
itself.
IMO, the rest of the section would need some rewriting as it does not
reflect the MIB definition.

>        - pmip6Core: a generic group containing objects that are
>          common to all the Proxy Mobile IPv6 entities. Objects
>          belonging to this group will be implemented on the
>          corresponding Proxy Mobile IPv6 entity.
pmip6BindingCacheTable
>          belongs to this group.

For instance, the pmip6BindingCacheTable has an object that is
pmip6BindingTimeRecentlyAccepted
and that is part of the pmip6BindingCacheGroup.

Also I am not finding a core group in the object group definitions, but
there is a
core complaince (pmip6CoreCompliance)

>        - pmip6Mag: this group models the mobile access gateway
>          service. Objects belonging to this group will be
>          implemented on the corresponding MAG. The tables belonging
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
4]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>          to this group have the "pmip6Mag" prefix.
>        - pmip6Lma: this group models the local mobility anchor
>          service. Objects belonging to this group will be
>          implemented on the corresponding LMA. The tables belonging
>          to this group have the "pmip6Lma" prefix.
>        - pmip6Notifications: defines the set of notifications that
>          will be used to asynchronously monitor the Proxy Mobile
>          IPv6 entities.
> 
>    The tables contained in the above groups are as follows:
>        - pmip6BindingCacheTable         : models the Binding Cache
>                                           on the local mobility
>                                           anchor.
>        - pmip6MagProxyCOATable          : models the Proxy Care-of
>                                           Addresses configured on the
>                                           egress interfaces of the
>                                           mobile access gateway.
>        - pmip6MagHomeNetworkPrefixTable : contains the Home Network
>                                           Prefixes assigned to
>                                           interfaces of all mobile
>                                           nodes attached to the MAG.
>                                           Each interface is
>                                           distinguished by the
attached
>                                           mobile node's identifier
(MN-
>                                           Identifier) and the link
layer
>                                           identifier
(MN-LL-Identifier).
>        - pmip6MagBLTable                : models the Binding Update
List
>                                           (BL) that includes Proxy
MIPv6
>                                           related information and is
>                                           maintained by the mobile
>                                           access gateway.
>        - pmip6MagMnProfileTable         : contains the mobile node's
>                                           policy profile that includes
>                                           the essential operational
>                                           parameters that are required
>                                           by the network entities for
>                                           managing the mobile node's
>                                           mobility service.
>        - pmip6LmaLMAATable              : contains the LMA Addresses
>                                           that are configured on the
>                                           local mobility anchor. Each
>                                           LMA Address acts as a
>                                           transport endpoint of the
>                                           tunnel between the local
>                                           mobility anchor and the
mobile
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
5]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                                           access gateway.
>        - pmip6LmaHomeNetworkPrefixTable : contains the list of Home
>                                           Network Prefixes assigned to
>                                           the connected interfaces of
>                                           the mobiles nodes anchored
on
>                                           an LMA.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
6]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
> 5.  The Proxy Mobile-IPv6 MIB
> 
> 
>         PMIPV6-MIB DEFINITIONS ::= BEGIN
>          IMPORTS
>            MODULE-IDENTITY,  mib-2, Integer32, Counter32, Gauge32,
>            OBJECT-TYPE, NOTIFICATION-TYPE
>                       FROM SNMPv2-SMI
>            PhysAddress
>                       FROM RFC1213-MIB

Why not using the PhysAddress of the SNMPv2-TC?

>            TEXTUAL-CONVENTION, TimeStamp,
>            TruthValue, DateAndTime
>                       FROM SNMPv2-TC
>            MODULE-COMPLIANCE, OBJECT-GROUP, NOTIFICATION-GROUP
>                       FROM SNMPv2-CONF
>            InetAddressType, InetAddress, InetAddressPrefixLength
>                       FROM INET-ADDRESS-MIB
>            Ipv6AddressIfIdentifierTC
>                       FROM IP-MIB

IP-MIB used, but not discussed in the overview section.

>            mip6MnBLEntry, mip6BindingCacheEntry
>                       FROM MOBILEIPV6-MIB
>            ;
> 
> 
> 
>         pmip6MIB MODULE-IDENTITY
>             LAST-UPDATED "201008160000Z"        --  16th August, 2010
>             ORGANIZATION "IETF NETLMM Working Group"
>             CONTACT-INFO
>                 "             Glenn Mansfield Keeni
>                       Postal: Cyber Solutions Inc.
>                               6-6-3, Minami Yoshinari
>                               Aoba-ku, Sendai, Japan 989-3204.
>                          Tel: +81-22-303-4012
>                          Fax: +81-22-303-4015
>                       E-mail: [email-masked]
> 
>                               Kazuhide Koide
>                       Postal: KDDI Corporation
>                               GARDEN AIR TOWER 3-10-10, Iidabashi
>                               Chiyoda-ku, Tokyo, 102-8460 Japan
>                          Tel: +81-3-6678-3378
>                       E-mail: [email-masked]
> 
>                               Sri Gundavelli
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
7]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                       Postal: Cisco
>                               170 W.Tasman Drive,
>                               San Jose, CA 95134
>                               USA
>                          Tel: +1-408-527-6109
>                       E-mail: [email-masked]
> 
>                               Ryuji Wakikawa
>                       Postal: TOYOTA InfoTechnology Center, U.S.A.,
Inc.
>                               465 Bernardo Avenue
>                               Mountain View, CA
>                               94043
>                               USA
>                       E-mail: [email-masked]
> 
> 
>                Support Group E-mail: [email-masked]"
> 
> 
>                DESCRIPTION
>                 "The MIB module for monitoring and controlling PMIPv6
>                  entities.
>                 "
>          -- Authors' note:
>          --    It is not clear if the Copyright notice should be a
part
>          --    of above description. It was a requirement sometime ago
>          --    but the submission tool at ietf.org complained so it is
>          --    removed for now.
> 
>          -- RFC Ed.: replace XXXX with actual RFC number and remove
this
>          --          note
> 
> 
>                 REVISION    "201008160000Z"      -- 16th August 2010
>                 DESCRIPTION "Initial version, published as RFC XXXX."
> 
> 
>          -- RFC Ed.: replace XXXX with actual RFC number and remove
this
>          --          note
> 
> 
>              ::= { mib-2  YYY } -- will be assigned by IANA
> 
> 
>          -- IANA Reg.: Please assign a value for "YYY" under the
'mib-2'
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
8]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>          -- subtree and record the assignment in the SMI Numbers
>          -- registry.
>          --
>          -- RFC Ed.: When the above assignment has been made, please
>          --     remove the above note
>          --     replace "YYY" here with the assigned value and
>          --     remove this note.
> 
>    -- -------------------------------------------------------------
>    -- Textual Conventions
>    -- -------------------------------------------------------------
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011                [Page
9]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>    Pmip6MNIdentifier  ::=  TEXTUAL-CONVENTION
>        DISPLAY-HINT "255a"
>        STATUS  current
>        DESCRIPTION
>            "The identity of a mobile node in the Proxy Mobile IPv6
>             domain. This is the stable identifier of a mobile node
>             that the mobility entities in a Proxy Mobile IPv6 domain
>             can always acquire and use for predictably identifying
>             a mobile node. Various forms of identifiers can be used to
>             identify a mobile node (MN).  Two examples are a Network
>             Access Identifier (NAI) [RFC4282] and an opaque identifier
>             applicable to a particular application.
>            "
>        REFERENCE
>            "RFC 4283: Section 3"
>        SYNTAX  OCTET STRING (SIZE (0..255))
> 
>    Pmip6MNLlIdentifier ::=  TEXTUAL-CONVENTION
>        DISPLAY-HINT "255a"
>        STATUS  current
>        DESCRIPTION
>            "An identifier that identifies the attached interface of a
>             mobile node.  For those interfaces that have a link-layer
>             identifier, this identifier can be based on that.  The
>             link-layer identifier, in some cases, is generated by the
>             mobile node and conveyed to the mobile access gateway.
This
>             identifier of the attached interface must be stable as
seen
>             by any of the mobile access gateways in a given Proxy
Mobile
>             IPv6 domain.  In some other cases, there might not be any
>             link-layer identifier associated with the mobile node's
>             interface. An identifier value of ALL_ZERO is not
considered
>             a valid identifier and cannot be used as an interface
>             identifier.
>            "
>        REFERENCE
>            "RFC 5213: Section 8.6"
>        SYNTAX  OCTET STRING (SIZE (0..255))

What is the ALL_ZERO value?

>    Pmip6MNIndex ::= TEXTUAL-CONVENTION
>        DISPLAY-HINT "d"
>        STATUS       current
>        DESCRIPTION
>            "A unique integer value, greater than zero, assigned to
each
>             mobile node that is currently attached to the
PMIPv6-Domain
>             by the management system.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
10]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>             It is recommended that the values are assigned
contiguously
>             starting from 1.  The value for each mobile node must
remain
>             constant at least from one re-initialization of the
entity's
>             network management system to the next re-initialization.
>            "
>        SYNTAX       Integer32 (1..2147483647)
> 
>    Pmip6PBUAccessTechnologyType ::=  TEXTUAL-CONVENTION
>        STATUS  current
>        DESCRIPTION
>            "This specifies the access technology which connects the
>             mobile node to the access link on the mobile access
gateway.
>            "
>        REFERENCE
>            "RFC 5213: Section 8.5,
>             http://www.iana.org/assignments/mobility-parameters/
>             mobility-parameters.txt"
>        SYNTAX INTEGER
>        {
>                  reserved               (0),
>                  logicalNetworkInterface(1),
>                  pointToPointInterface  (2),
>                  ethernet               (3),
>                  wirelessLan            (4),
>                  wimax                  (5),
>                  threeGPPGERAN          (6),
>                  threeGPPUTRAN          (7),
>                  threeGPPETRAN          (8),
>                  threeGPP2eHRPD         (9),
>                  threeGPP2HRPD          (10),
>                  threeGPP21xRTT         (11),
>                  threeGPP2UMB           (12)
>        }

TO Dan R.:
As this list might get updated, should this not be placed in a separate
MIB?
(I remember something like that was done in the past, not sure if that
is
current practice still)

> 
>          -- The PMIPv6 MIB has the following 5 primary groups
> 
> 
>          pmip6Notifications     OBJECT IDENTIFIER ::= { pmip6MIB 0 }
>          pmip6Objects           OBJECT IDENTIFIER ::= { pmip6MIB 1 }
>          pmip6Conformance       OBJECT IDENTIFIER ::= { pmip6MIB 2 }
>          pmip6Core              OBJECT IDENTIFIER ::= { pmip6Objects 1
}
>          pmip6Mag               OBJECT IDENTIFIER ::= { pmip6Objects 2
}
>          pmip6Lma               OBJECT IDENTIFIER ::= { pmip6Objects 3
}
>           -- The sub groups

It would be wise to have the overview section following a similar
grouping.
In the overview section I do not see any use of a sub group.

> Glenn M. Keeni.       Expires: February 19, 2011               [Page
11]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>          pmip6System            OBJECT IDENTIFIER ::= { pmip6Core 1 }
>          pmip6Bindings          OBJECT IDENTIFIER ::= { pmip6Core 2 }
>          pmip6Conf              OBJECT IDENTIFIER ::= { pmip6Core 3 }
>          pmip6Stats             OBJECT IDENTIFIER ::= { pmip6Core 4 }
> 
> 
>          pmip6MagSystem         OBJECT IDENTIFIER ::= { pmip6Mag 1 }
>          pmip6MagConf           OBJECT IDENTIFIER ::= { pmip6Mag 2 }
>          pmip6MagRegistration   OBJECT IDENTIFIER ::= { pmip6Mag 3 }
> 
>          pmip6LmaSystem         OBJECT IDENTIFIER ::= { pmip6Lma 1 }
>          pmip6LmaConf           OBJECT IDENTIFIER ::= { pmip6Lma 2 }
> 
> 
> 
>          -- The pmip6Stats group has the following sub groups
> 
> 
>          pmip6BindingRegCounters OBJECT IDENTIFIER ::= { pmip6Stats 1
}
> 
>          --
>          --
>          -- pmip6System group
>          --
>          --
>          pmip6Capabilities OBJECT-TYPE
>              SYNTAX      BITS {
>                               mobilityAccessGateway  (0),
>                               localMobilityAnchor    (1)
>                          }
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "This object indicates the PMIPv6 functions that
>                   are supported by this managed entity.  Multiple
>                   Proxy Mobile IPv6 functions may be supported by
>                   a single entity.
>                  "
>              REFERENCE
>                      "RFC 3775 : Section 3.2, 4.1"
>              ::= { pmip6System 1 }
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
12]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>          pmip6Status OBJECT-TYPE
>              SYNTAX      INTEGER { enabled(1), disabled(2) }
>              MAX-ACCESS  read-write
>              STATUS      current
>              DESCRIPTION
>                  "This object indicates whether the Proxy Mobile
>                   IPv6 function is enabled for the managed entity.
> 
>                   The value of this object SHOULD remain unchanged
>                   across reboots of the managed entity.
>                  "
>              ::= { pmip6System 2 }

With the single status object, it will always mean that either all
supported
capabilities are defined or none. Is it correct that specific functions
cannot
be disabled or enabled?

> 
>        pmip6MobileNodeGeneratedTimestampInUse OBJECT-TYPE
>            SYNTAX      TruthValue
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "This flag indicates whether or not the mobile node
>                 generated timestamp mechanism is in use in that
>                 Proxy Mobile IPv6 domain.
>                 true(1) if the local mobility anchors and mobile
>                 access gateways in that Proxy Mobile IPv6 domain
>                 apply the mobile node generated timestamp
>                 considerations.
>                 false(0) indicates that the mobile node generated
>                 timestamp mechanism is not in use in that Proxy
>                 Mobile IPv6 domain.
>                 The default value for this flag is set to value of 0.
>                "

The default value MUST be in a DEFVAL clause.

>            REFERENCE
>                "RFC 5213: Section 5.5, 9.3"
>               ::= { pmip6Conf 1 }
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
13]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>        pmip6FixedMagLinkLocalAddressOnAllAccessLinksType OBJECT-TYPE
>            SYNTAX      InetAddressType
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "The InetAddressType of the
>                 pmip6FixedMagLinkLocalAddressOnAllAccessLinks
>                 that follows.
>                "
>               ::= { pmip6Conf 2 }
> 
>        pmip6FixedMagLinkLocalAddressOnAllAccessLinks OBJECT-TYPE
>            SYNTAX      InetAddress
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "This variable indicates the link-local address value
>                 that all the mobile access gateways should use on
>                 any of the access links shared with any of the
>                 mobile nodes in that Proxy Mobile IPv6 domain.  If
>                 this variable is initialized to ALL_ZERO value, it
>                 implies that the use of fixed link-local address mode
>                 is not enabled for that Proxy Mobile IPv6 domain."
>            REFERENCE
>                "RFC 5213: Section 2.2, 6.8, 6.9.1.1, 6.9.3, 9.3"
>               ::= { pmip6Conf 3 }

Has this object also an influance on the object 'pmip6Status'? Or 

> 
>        pmip6FixedMagLinkLayerAddressOnAllAccessLinks OBJECT-TYPE
>            SYNTAX      PhysAddress
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "This variable indicates the link-layer address value
>                 that all the mobile access gateways should use on
>                 any of the access links shared with any of the mobile
>                 nodes in that Proxy Mobile IPv6 domain. For access
>                 technologies where there is no link-layer address,
>                 this variable MUST be initialized to ALL_ZERO value.
>                "
>            REFERENCE
>                "RFC 5213: Section 6.9.3, 9.3"
>               ::= { pmip6Conf 4 }
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
14]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>         pmip6MagProxyCOATable OBJECT-TYPE
>            SYNTAX      SEQUENCE OF Pmip6MagProxyCOAEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "This table models the Proxy Care-of Addresses
configured
>                 on the egress interfaces of the mobile access gateway
>                 and is the transport endpoint of the tunnel between
the
>                 local mobility anchor and the mobile access gateway.

I believe it should read (please, verify):

                This table models the Proxy Care-of Addresses configured
                on the egress interfaces of the mobile access gateway.
                The egress interface is the transport endpoint of the
tunnel
                between the local mobility anchor and the mobile access
gateway.

> 
>                 Entries in this table are not required to survive
>                 a reboot of the managed entity.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 6.10"
>            ::= { pmip6MagSystem 1 }
> 
>         pmip6MagProxyCOAEntry OBJECT-TYPE
>            SYNTAX      Pmip6MagProxyCOAEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "This entry represents a conceptual row in the
>                 Proxy-CoA table. It represents each Proxy-CoA

In text, I would use for readability Proxy Care-of instead of Proxy-CoA.

>                 on the mobile access gateway.
> 
>                 Implementers need to be aware that if the total
>                 number of octets in mip6BindingHomeAddress
>                 exceeds 113 then OIDs of column
>                 instances in this row will have more than 128
>                 sub-identifiers and cannot be accessed using
>                 SNMPv1, SNMPv2c, or SNMPv3.
>                "
>            INDEX  { pmip6MagProxyCOAType, pmip6MagProxyCOA }

The text of the maximum number of OIDs does not align with the
INDEX clause. The text suggest that the index is made of
mip6BindingHomeAddress
and the INDEX clause clearly defines something else.

>            ::= { pmip6MagProxyCOATable 1 }
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
15]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>         Pmip6MagProxyCOAEntry ::=
>            SEQUENCE {
>             pmip6MagProxyCOAType   InetAddressType,
>             pmip6MagProxyCOA       InetAddress,
>             pmip6MagProxyCOAState  INTEGER
>            }
> 
>        pmip6MagProxyCOAType OBJECT-TYPE
>            SYNTAX      InetAddressType
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "The InetAddressType of the pmip6MagProxyCOA
>                 that follows.
>                "
>            ::= { pmip6MagProxyCOAEntry 1 }
> 
>        pmip6MagProxyCOA OBJECT-TYPE
>            SYNTAX      InetAddress
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "The Proxy-CoA configured on the egress interface of
the
>                 mobile access gateway.
> 
>                 The type of the address represented by this object
>                 is specified by the corresponding
>                 pmip6MagProxyCOAType object.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 6.10"
>            ::= { pmip6MagProxyCOAEntry 2 }
> 
>        pmip6MagProxyCOAState  OBJECT-TYPE
>            SYNTAX      INTEGER {
>                                   unknown(1),
>                                   activated(2),
>                                   tunneled(3)
>                           }
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "This object indicates the state of the Proxy-CoA:
>                    unknown     -- The state of the Proxy-CoA
>                                   cannot be determined.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
16]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                    activated   -- The Proxy-CoA is ready to establish
>                                   a tunnel. This state SHOULD be
>                                   indicated when the MAG is up but has
>                                   no mobile node.
>                    tunneled    -- The Proxy-CoA is used to set up the
>                                   bi-directional tunnel.

The wording 'to set up' is not in line with the read-only access of the
object.

I would rewrite in:

'tunneled  -- The Proxy-CoA is connected as a bi-directional tunnel'

Is it possible to have an endpoint to be connected to multiple tunnels?

>                "
>            ::= { pmip6MagProxyCOAEntry 3 }
> 
> 
>        pmip6MagEnableMagLocalRouting OBJECT-TYPE
>            SYNTAX      TruthValue
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "This flag indicates whether or not the mobile access
>                 gateway is allowed to enable local routing of the
>                 traffic exchanged between a visiting mobile node and
>                 a correspondent node that is locally connected to one
>                 of the interfaces of the mobile access gateway.
>                 The correspondent node can be another visiting mobile
>                 node as well, or a local fixed node.
>                 true(1) indicates the mobile access gateway routes the
>                 traffic locally.
>                 false(0) indicates that the mobile access gateway
>                 reverse tunnels all the traffic to the mobile node's
>                 local mobility anchor.
> 
>                 The default value for this flag is set to false."

The default value must be in a defval clause.

>            REFERENCE
>                "RFC 5213: Section 9.2"
>               ::= { pmip6MagConf 1 }
> 
> 
>        pmip6MagHomeNetworkPrefixTable   OBJECT-TYPE
>             SYNTAX      SEQUENCE OF PMip6MagHomeNetworkPrefixEntry
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "A table representing the Home Network Prefixes
>                  assigned to the connected interfaces of mobile nodes
>                  attached to the MAG.
>                 "
>             REFERENCE
>                 "RFC 5213: Section 2, 6.1, 6.2"
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
17]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>             ::= { pmip6MagConf 2 }
> 
> 
>        pmip6MagHomeNetworkPrefixEntry OBJECT-TYPE
>             SYNTAX      PMip6MagHomeNetworkPrefixEntry
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "An entry in the Home Network Prefixes table.
> 
>                  Implementers need to be aware that if the total
>                  number of octets in pmip6MagHomeNetworkPrefix
>                  exceeds 114 then OIDs of column
>                  instances in this row will have more than 128
>                  sub-identifiers and cannot be accessed using
>                  SNMPv1, SNMPv2c, or SNMPv3.
>                 "
>             INDEX  { pmip6MagBLMnIdentifier, pmip6MagBLlMnIdentifier,
>                      pmip6MagHomeNetworkPrefixType,
>                      pmip6MagHomeNetworkPrefix }

The hint of a length of 114 for the pmip6MagHomeNetworkPrefix, seems
incomplete.
The pmip6MagBLMnIdentifier is of type Pmip6MNIdentifier and that is an
OCTET STRING (0..255).

The OID structure may become to long.

>             ::= { pmip6MagHomeNetworkPrefixTable 1 }
> 
> 
>        PMip6MagHomeNetworkPrefixEntry ::=
>             SEQUENCE {
>              pmip6MagHomeNetworkPrefixType      InetAddressType,
>              pmip6MagHomeNetworkPrefix          InetAddress,
>              pmip6MagHomeNetworkPrefixLength
InetAddressPrefixLength,
>              pmip6MagHomeNetworkPrefixLifeTime  Gauge32
>            }
> 
> 
>        pmip6MagHomeNetworkPrefixType  OBJECT-TYPE
>             SYNTAX      InetAddressType
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "The InetAddressType of the pmip6MagHomeNetworkPrefix
>                  that follows.
>                 "
>             ::= { pmip6MagHomeNetworkPrefixEntry 1 }
> 
> 
>        pmip6MagHomeNetworkPrefix   OBJECT-TYPE
>             SYNTAX      InetAddress
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
18]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "The mobile network prefix that is delegated to the
>                  mobile node. The type of the address represented by
>                  this object is specified by the corresponding
>                  pmip6MagHomeNetworkPrefixType object.
>                 "
>             REFERENCE
>                 "RFC 5213: Section 2"
> 
>             ::= { pmip6MagHomeNetworkPrefixEntry 2 }
> 
> 
>        pmip6MagHomeNetworkPrefixLength   OBJECT-TYPE
>             SYNTAX      InetAddressPrefixLength
>             MAX-ACCESS  read-only
>             STATUS      current
>             DESCRIPTION
>                 "The prefix length of the Home Network Prefix.
>                 "
>             ::= { pmip6MagHomeNetworkPrefixEntry 3 }
> 
> 
>        pmip6MagHomeNetworkPrefixLifeTime   OBJECT-TYPE
>             SYNTAX      Gauge32

The type Unsigned32 would be more apropriate.

>             UNITS       "seconds"
>             MAX-ACCESS  read-only
>             STATUS      current
>             DESCRIPTION
>                 "The lifetime parameter (in seconds) that will be
>                  advertised in Router Advertisements by the MAG for
>                  this Home Network Prefix.
>                 "
>             REFERENCE
>                 "RFC 5213: Section 6.2, 6.7"
>             ::= { pmip6MagHomeNetworkPrefixEntry 4 }
> 
> 
> 
> 
>        pmip6MagBLTable OBJECT-TYPE
>            SYNTAX      SEQUENCE OF Pmip6MagBLEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
19]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>            DESCRIPTION
>                "This table corresponds to the Binding Update List(BL)
>                 that includes Proxy MIPv6 related information and
>                 is maintained by the mobile access gateway.
>                 Entries from the table are deleted as
>                 the lifetime of the binding expires.
>                "
>            REFERENCE
>                "RFC 3775: Section 4.5, 11.1,
>                 RFC 5213: Section 6.1"
>            ::= { pmip6MagRegistration 1 }
> 
> 
>        pmip6MagBLEntry  OBJECT-TYPE
>            SYNTAX      Pmip6MagBLEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "An entry containing additional information contained
>                 in a Binding Update sent by the mobile access gateway
>                 to the local mobility anchor.
>                "
>            AUGMENTS {mip6MnBLEntry}
>        ::= { pmip6MagBLTable 1 }
> 
>        Pmip6MagBLEntry ::= SEQUENCE {
>            pmip6MagBLFlag                    TruthValue,
>            pmip6MagBLMnIdentifier            Pmip6MNIdentifier,
>            pmip6MagBLlMnIdentifier           Pmip6MNLlIdentifier,
>            pmip6MagBLMagLinkLocalAddressType InetAddressType,
>            pmip6MagBLMagLinkLocalAddress     InetAddress,
>            pmip6MagBLMagIfIdentifierToMn
Ipv6AddressIfIdentifierTC,
>            pmip6MagBLTunnelIfIdentifier
Ipv6AddressIfIdentifierTC,
>            pmip6MagBLAccessTechnologyType
Pmip6PBUAccessTechnologyType,
>            pmip6MagBLTimeRecentlyAccepted    DateAndTime
>            }
> 
> 
>        pmip6MagBLFlag OBJECT-TYPE
>            SYNTAX      TruthValue
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "true(1) if the mobile access gateway sent the proxy
>                 binding update with Proxy Registration Flag that
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
20]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 indicates to the local mobility anchor that the
>                 registration is the proxy binding update and is from
>                 a mobile access gateway.
>                 false(0) implies that the mobile access gateway is
>                 behaving as a simple mobile node.
>                "
>            REFERENCE
>                "RFC 5213: Section 8.1"
>            ::= { pmip6MagBLEntry 1 }
> 
>        pmip6MagBLMnIdentifier OBJECT-TYPE
>            SYNTAX     Pmip6MNIdentifier
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The Identifier of the attached mobile node. This
>                 identifier is acquired during the mobile node's
>                 attachment to the access link.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 6.1, 8.1"
>            ::= { pmip6MagBLEntry 2 }
> 
>        pmip6MagBLlMnIdentifier OBJECT-TYPE
>            SYNTAX      Pmip6MNLlIdentifier
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The link-layer identifier of the mobile node's
>                 connected interface.  This can be acquired from the
>                 received Router Solicitation messages from the mobile
>                 node or during the mobile node's attachment to the
>                 access network. If this identifier is not available,
>                 this variable length field MUST be set to two (octets)
>                 and MUST be initialized to a value of ALL_ZERO.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 6.1, 8.1"
>            ::= { pmip6MagBLEntry 3 }
> 
>        pmip6MagBLMagLinkLocalAddressType OBJECT-TYPE
>            SYNTAX     InetAddressType
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
21]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                "The InetAddressType of the
pmip6MagBLMagLinkLocalAddress
>                 that follows.
>                "
>            ::= { pmip6MagBLEntry 4 }
> 
>        pmip6MagBLMagLinkLocalAddress OBJECT-TYPE
>            SYNTAX     InetAddress
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The Link-local address of the mobile access gateway on
>                 the access link shared with the mobile node.
>                 This is the address that is present in the Link-local
>                 Address option of the corresponding Proxy Binding
Update
>                 message.
>                "
>            REFERENCE
>                "RFC 3963 : Section 4.1, 5.1"
>            ::= { pmip6MagBLEntry 5 }
> 
>        pmip6MagBLMagIfIdentifierToMn OBJECT-TYPE
>            SYNTAX     Ipv6AddressIfIdentifierTC
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The interface identifier (if-id) of the point-to-point
>                 link between the mobile node and the mobile access
>                 gateway. This is internal to the mobile access gateway
>                 and is used to associate the Proxy Mobile IPv6 tunnel
>                 to the access link where the mobile node is attached.
>                "
>            REFERENCE
>                "RFC 5213: Section 6.1, 8.1"
>            ::= { pmip6MagBLEntry 6 }
> 
>        pmip6MagBLTunnelIfIdentifier OBJECT-TYPE
>            SYNTAX     Ipv6AddressIfIdentifierTC
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The tunnel interface identifier (tunnel-if-id) of the
>                 bi-directional tunnel between the mobile node's local
>                 mobility anchor and the mobile access gateway.  This
>                 is internal to the mobile access gateway. The tunnel
>                 interface identifier is acquired during the tunnel
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
22]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 creation.
>                "
>            REFERENCE
>                "RFC 5213: Section 6.1, 8.1"
>            ::= { pmip6MagBLEntry 7 }
> 
>         pmip6MagBLAccessTechnologyType OBJECT-TYPE
>            SYNTAX      Pmip6PBUAccessTechnologyType
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The type of the access
>                 technology by which the mobile node is currently
>                 attached to the mobile access gateway.
>                "
>            REFERENCE
>                "RFC 5213: Section 6.9.1.1, 6.9.1.5, 8.1"
>            ::= { pmip6MagBLEntry 8 }
> 
>         pmip6MagBLTimeRecentlyAccepted OBJECT-TYPE
>            SYNTAX      DateAndTime
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The 64-bit timestamp value of the most recently

No need to define 64-bit. It is implicit to the DateAndTime type.
It could be even 11 times 8 bits if it includes the timezone info.
Therefore, is the timezone of impact?

Applies to more DateAndTime typed managed objects.

>                 accepted Proxy Binding Update message sent for this
>                 mobile node.  This is the time-of-day on the mobile
>                 access gateway, when the proxy binding acknowledgement
>                 message with the Status field set to 0
>                 was received.  If the Timestamp option is not present
>                 in the Proxy Binding Update message (i.e., when the
>                 sequence number based scheme is in use), the value
MUST
>                 be set to ALL_ZERO.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.1, 8.1"
>            ::= { pmip6MagBLEntry 9 }
> 
>        pmip6MagMnProfileTable OBJECT-TYPE
>            SYNTAX      SEQUENCE OF Pmip6MagMnProfileEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "This table corresponds to the mobile node's policy
>                 profile that includes the essential operational
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
23]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 parameters that are required by the network entities
>                 for managing the mobile node's mobility service.
>                 It contains policy profiles of mobile nodes that are
>                 connected to the mobile access gateway.
>                "
>            REFERENCE
>                "RFC 5213: Section 6.2"
>            ::= { pmip6MagRegistration 2 }
> 
> 
>        pmip6MagMnProfileEntry  OBJECT-TYPE
>            SYNTAX      Pmip6MagMnProfileEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "An entry containing information about the
>                 mobile node's policy profile.
>                "
>            INDEX { pmip6MagMnIndex }
>        ::= { pmip6MagMnProfileTable 1 }
> 
>        Pmip6MagMnProfileEntry ::=
>            SEQUENCE {
>             pmip6MagMnIndex                           Pmip6MNIndex,
>             pmip6MagMnIdentifier
Pmip6MNIdentifier,
>             pmip6MagMnLocalMobilityAnchorAddressType  InetAddressType,
>             pmip6MagMnLocalMobilityAnchorAddress      InetAddress
>            }
> 
>        pmip6MagMnIndex OBJECT-TYPE
>            SYNTAX      Pmip6MNIndex
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "The index for a mobile node in the Proxy Mobile IPv6
>                 domain.
>                "
>            ::= { pmip6MagMnProfileEntry 1 }
> 
>        pmip6MagMnIdentifier OBJECT-TYPE
>            SYNTAX      Pmip6MNIdentifier
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The identity of a mobile node in the Proxy Mobile IPv6
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
24]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 domain.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2"
>            ::= { pmip6MagMnProfileEntry 2 }
> 
>        pmip6MagMnLocalMobilityAnchorAddressType OBJECT-TYPE
>            SYNTAX     InetAddressType
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The InetAddressType of the
>                 pmip6MagMnLocalMobilityAnchorAddress that follows.
>                "
>            ::= { pmip6MagMnProfileEntry 3 }
> 
>        pmip6MagMnLocalMobilityAnchorAddress OBJECT-TYPE
>            SYNTAX     InetAddress
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The global address that is configured on the interface
>                 of the local mobility anchor and is the transport
>                 endpoint of the bi-directional tunnel established
>                 between the local mobility anchor and the mobile
access
>                 gateway.  This is the address to which the mobile
>                 access gateway sends the Proxy Binding Update
messages.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2"
>            ::= { pmip6MagMnProfileEntry 4 }
> 
> 
> 
>        pmip6BindingCacheTable OBJECT-TYPE
>            SYNTAX      SEQUENCE OF Pmip6BindingCacheEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "This table models the Binding Cache on the local
>                 mobility anchor.
>                 Entries from the table are deleted as
>                 the lifetime of the binding expires.
> 
>                 Entries in this table are not required to survive
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
25]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 a reboot of the managed entity.
>                "
>            REFERENCE
>                "RFC 3775: Section 4.5, 9.1, 10.1,
>                 RFC 5213: Section 5.1"
>            ::= { pmip6Bindings 1 }
> 
> 
>        pmip6BindingCacheEntry  OBJECT-TYPE
>            SYNTAX      Pmip6BindingCacheEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "An entry containing additional information contained
>                 in the binding cache table
>                 of the local mobility anchor.
>                "
>            AUGMENTS {mip6BindingCacheEntry}
>        ::= { pmip6BindingCacheTable 1 }
> 
>        Pmip6BindingCacheEntry ::= SEQUENCE {
>             pmip6BindingPBUFlag                 TruthValue,
>             pmip6BindingMnIdentifier            Pmip6MNIdentifier,
>             pmip6BindingMnLlIdentifier          Pmip6MNLlIdentifier,
>             pmip6BindingMagLinkLocalAddressType InetAddressType,
>             pmip6BindingMagLinkLocalAddress     InetAddress,
>             pmip6BindingTunnelIfIdentifier
Ipv6AddressIfIdentifierTC,
>             pmip6BindingAccessTechnologyType
>
Pmip6PBUAccessTechnologyType,
>             pmip6BindingTimeRecentlyAccepted     DateAndTime
>            }
> 
>        pmip6BindingPBUFlag OBJECT-TYPE
>            SYNTAX      TruthValue
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "true(1) if the local mobility anchor accepted the
>                 binding update with Proxy Registration Flag from a
>                 mobile access gateway.
>                 false(0) implies that the binding cache is from a
>                 mobile node. In this case the remaining objects will
>                 not be accessible.
>                "
>            REFERENCE
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
26]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                "RFC 5213: Section 5.1, 8.1"
>            ::= { pmip6BindingCacheEntry 1 }
> 
>        pmip6BindingMnIdentifier OBJECT-TYPE
>            SYNTAX      Pmip6MNIdentifier
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The identifier of the registered mobile node,
>                 MN-Identifier.  This identifier is obtained from the
>                 Mobile Node Identifier Option [RFC4283] present in
>                 the received Proxy Binding Update message.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 5.1, 8.1"
>            ::= { pmip6BindingCacheEntry 2 }
> 
>        pmip6BindingMnLlIdentifier OBJECT-TYPE
>            SYNTAX      Pmip6MNLlIdentifier
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The link-layer identifier of the mobile node's
>                 connected interface on the access link.  This
>                 identifier can be acquired from the Mobile Node
>                 Link-layer Identifier option, present in the received
>                 Proxy Binding Update message.  If the option was not
>                 present in the request, this variable length field
>                 MUST be set to two (octets) and MUST be initialized to
>                 a value of ALL_ZERO.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 5.1, 8.1"
>            ::= { pmip6BindingCacheEntry 3 }
> 
> 
>        pmip6BindingMagLinkLocalAddressType OBJECT-TYPE
>            SYNTAX      InetAddressType
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The InetAddressType of the
>                 pmip6BindingMagLinkLocalAddress that follows.
>                "
>            ::= { pmip6BindingCacheEntry 4 }
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
27]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>        pmip6BindingMagLinkLocalAddress OBJECT-TYPE
>            SYNTAX      InetAddress
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The link-local address of the mobile access gateway on
>                 the point-to-point link shared with the mobile node.
>                 This is generated by the local mobility anchor after
>                 accepting the initial Proxy Binding Update message.
>                 This is the address that is present in the Link-local
>                 Address option of the corresponding Proxy Binding
>                 Acknowledgement message.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.1, 6.9.1.2, 8.2"
>            ::= { pmip6BindingCacheEntry 5 }
> 
>         pmip6BindingTunnelIfIdentifier OBJECT-TYPE
>            SYNTAX      Ipv6AddressIfIdentifierTC
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The tunnel interface identifier (tunnel-if-id) of the
>                 bi-directional tunnel between the local mobility
anchor
>                 and the mobile access gateway where the mobile node is
>                 currently anchored. This is internal to the local
>                 mobility anchor.  The tunnel interface identifier is
>                 acquired during the tunnel creation.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.1, 8.1"
>            ::= { pmip6BindingCacheEntry 6 }
> 
>         pmip6BindingAccessTechnologyType OBJECT-TYPE
>            SYNTAX      Pmip6PBUAccessTechnologyType
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The access technology type, by which the mobile node
>                 is currently attached.  This is obtained from the
>                 Access Technology Type option, present in the Proxy
>                 Binding Update message.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.1, 8.1"
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
28]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>            ::= { pmip6BindingCacheEntry 7 }
> 
>         pmip6BindingTimeRecentlyAccepted OBJECT-TYPE
>            SYNTAX      DateAndTime
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "The 64-bit timestamp value of the most recently
>                 accepted Proxy Binding Update message sent for this
>                 mobile node.  This is the time-of-day on the local
>                 mobility anchor, when the message was received.  If
>                 the Timestamp option is not present in the Proxy
>                 Binding Update message (i.e., when the sequence number
>                 based scheme is in use), the value MUST be set to
>                 ALL_ZERO.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.1, 8.1"
>            ::= { pmip6BindingCacheEntry 8 }
> 
>         ---
>         ---
>         --- pmip6Stats group
>         ---
>         ---
> 
> 
> 
>          --
>          -- pmip6Stats:pmip6BindingRegcounters
>          --
> 

Would all these counters not be better to make this a table in which the
'code' is the index?

In that case, you have also more flexibility with new 'code'-s.
Also I wonder if some of the counters that do not refer to a 'code' are
not
the result of some code?

> 
>          pmip6MissingMnIdentifierOption  OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update messages
>                   rejected by the local mobility anchor with status
>                   code in the Binding Acknowledgement message
indicating
>                   'Missing mobile node identifier option' (Code 160).
> 
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the mobile router.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
29]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 8.9"
>                  ::= { pmip6BindingRegCounters 1 }
> 
>          pmip6MagNotAuthorizedForProxyReg OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
>                   rejected by the local mobility anchor with status
>                   code in the Binding Acknowledgement message
indicating
>                   'Not authorized to send proxy binding updates'
>                   (Code 154).
> 
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the mobile router,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 8.9"
>                  ::= { pmip6BindingRegCounters 2 }
> 
>          pmip6NotLMAForThisMobileNode Romascanu, Dan (Dan)
<[email-masked]> OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Not local mobility anchor for this mobile node'
>                   (Code 153).
> 
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 8.9"
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
30]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                  ::= { pmip6BindingRegCounters 3 }
> 
> 
>          pmip6ProxyRegNotEnabled  OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Proxy Registration not enabled' (Code 152).
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 6.9.1.2, 8.9"
>                  ::= { pmip6BindingRegCounters 4 }
> 
> 
>          pmip6MissingHomeNetworkPrefixOption  OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Missing home network prefix option' (Code 158).
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 8.9"
>                  ::= { pmip6BindingRegCounters 5 }
> 
>          pmip6MissingHandOffIndicatorOption OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
31]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Missing handoff indicator option' (Code 161).
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 8.9"
>                  ::= { pmip6BindingRegCounters 6 }
> 
>          pmip6MissingAccessTechTypeOption OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Missing access technology type option' (Code 162).
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.1, 8.9"
>                  ::= { pmip6BindingRegCounters 7 }
> 
>          pmip6NotAuthorizedForHomeNetworkPrefix OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Mobile node not authorized for one or more of the
>                   requesting home network prefixes' (Code 155).
> 
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
32]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.2, 6.9.1.2, 8.9"
>                  ::= { pmip6BindingRegCounters 8 }
> 
>          pmip6TimestampMismatch OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'Invalid timestamp value (the clocks are out of
sync)'
>                   (Code 156)
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.5, 6.9.1.2, 8.9"
>                  ::= { pmip6BindingRegCounters 9 }
> 
>          pmip6TimestampLowerThanPrevAccepted OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'The timestamp value is lower than the previously
>                   accepted value' (Code 157).
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.5, 6.9.1.2, 8.9"
>                  ::= { pmip6BindingRegCounters 10 }
> 
>          pmip6BcePbuPrefixSetDoNotMatch OBJECT-TYPE
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
33]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message
rejected
>                   by the local mobility anchor with status code in the
>                   Binding Acknowledgement message indicating
>                   'All the home network prefixes listed in the Binding
>                   Cache Entry do not match all the prefixes in the
>                   received Proxy Binding Update' (Code 159).
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.4.1.1, 8.9"
>                  ::= { pmip6BindingRegCounters 11 }
> 
> 
>          pmip6InitialBindingRegistrations OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update messages that
>                   newly creates the Binding Cache entry.
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.2"
>                  ::= { pmip6BindingRegCounters 12 }
> 
>          pmip6BindingLifeTimeExtensionNoHandOff OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message for
>                   
> extending the binding lifetime, received from the
>                   same mobile access gateway that last updated the
>                   binding.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
34]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.3"
>                  ::= { pmip6BindingRegCounters 13 }
> 
>          pmip6BindingLifeTimeExtensionAfterHandOff OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message for
>                   extending the binding lifetime, received from a new
>                   mobile access gateway where the mobile node's
>                   mobility session is handed off.
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.4"
>                  ::= { pmip6BindingRegCounters 14 }
> 
>          pmip6BindingDeRegistrations OBJECT-TYPE
>              SYNTAX      Counter32
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Update message with
the
>                   lifetime value of zero.
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.5"
>                  ::= { pmip6BindingRegCounters 15 }
> 
>          pmip6BindingBindingAcks OBJECT-TYPE
>              SYNTAX      Counter32
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
35]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "Total number of Proxy Binding Acknowledgement
>                   messages.
>                   Discontinuities in the value of this counter can
>                   occur at re-initialization of the management system,
>                   and at other times as indicated by the value of
>                   pmip6CounterDiscontinuityTime.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.3.5"
>                  ::= { pmip6BindingRegCounters 16 }
> 
>          pmip6CounterDiscontinuityTime OBJECT-TYPE
>              SYNTAX      TimeStamp
>              MAX-ACCESS  read-only
>              STATUS      current
>              DESCRIPTION
>                  "The value of sysUpTime on the most recent occasion
>                   at which any one or more of this PMIPv6 entities
>                   global counters, viz., counters with OID prefix
>                   'pmip6BindingRegCounters' suffered a discontinuity.
>                   If no such discontinuities have occurred since the
>                   last re-initialization of the local management
>                   subsystem, then this object will have a zero value.
>                  "
>                  ::= { pmip6BindingRegCounters 17 }

Is it not better to have the discontinuity time per individual counter?

> 
> 
> 
>         pmip6LmaLMAATable OBJECT-TYPE
>            SYNTAX      SEQUENCE OF Pmip6LmaLMAAEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "This table models the LMA Addresses configured
>                 on the local mobility anchor. Each LMA Address acts as
>                 a transport endpoint of the tunnel between the local
>                 mobility anchor and the mobile access gateway and is
>                 the transport endpoint of the tunnel between the local
>                 mobility anchor and the mobile access gateway.
> 
>                 Entries in this table are not required to survive
>                 a reboot of the managed entity.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
36]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 5.6"
>            ::= { pmip6LmaSystem 1 }
> 
>         pmip6LmaLMAAEntry OBJECT-TYPE
>            SYNTAX      Pmip6LmaLMAAEntry
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                "This entry represents a conceptual row in the
>                 LMAA table. It represents each LMAA
>                 on the local mobility anchor.
> 
>                 Implementers need to be aware that if the total
>                 number of octets in mip6BindingHomeAddress
>                 exceeds 113 then OIDs of column
>                 instances in this row will have more than 128
>                 sub-identifiers and cannot be accessed using
>                 SNMPv1, SNMPv2c, or SNMPv3.
>                "
>            INDEX  { pmip6LmaLMAAType, pmip6LmaLMAA }
>            ::= { pmip6LmaLMAATable 1 }
> 
> 
>         Pmip6LmaLMAAEntry ::=
>            SEQUENCE {
>             pmip6LmaLMAAType   InetAddressType,
>             pmip6LmaLMAA       InetAddress,
>             pmip6LmaLMAAState  INTEGER
>            }
> 
>        pmip6LmaLMAAType OBJECT-TYPE
>            SYNTAX      InetAddressType
>            MAX-ACCESS  not-accessible
>            STATUS      current
>            DESCRIPTION
>                    "The InetAddressType of the pmip6LmaLMAA
>                     that follows.
>                    "
>            ::= { pmip6LmaLMAAEntry 1 }
> 
>        pmip6LmaLMAA OBJECT-TYPE
>            SYNTAX      InetAddress
>            MAX-ACCESS  not-accessible
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
37]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>            STATUS      current
>            DESCRIPTION
>                "The LMAA configured on the local mobility anchor.
> 
>                 The type of the address represented by this object
>                 is specified by the corresponding
>                 pmip6LmaLMAAType object.
>                "
>            REFERENCE
>                "RFC 5213: Section 2.2, 5.6"
>            ::= { pmip6LmaLMAAEntry 2 }
> 
>        pmip6LmaLMAAState  OBJECT-TYPE
>            SYNTAX      INTEGER {
>                                   unknown(1),
>                                   activated(2),
>                                   tunneled(3)
>                           }
>            MAX-ACCESS  read-only
>            STATUS      current
>            DESCRIPTION
>                "This object indicates the state of the LMAA:
>                    unknown     -- The state of the LMAA
>                                   cannot be determined.
>                    activated   -- The LMAA is ready to establish
>                                   tunnel
>                    tunneled    -- The LMAA is used to set up the
>                                   bi-directional tunnel.
>                "
>            ::= { pmip6LmaLMAAEntry 3 }
> 
> 
> 
>        pmip6LmaMinDelayBeforeBCEDelete OBJECT-TYPE
>            SYNTAX      Integer32 (1..65535)
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>             "This variable specifies the length of time in
>                 milliseconds

As the value is in milliseconds, there should be a UNITS clause.

> the local mobility anchor MUST wait before
>                 it deletes a Binding Cache entry of a mobile node,
upon
>                 receiving a Proxy Binding Update message from a mobile
>                 access gateway with a lifetime value of 0.
>                 During this wait time, if the local mobility anchor
>                 receives a Proxy Binding Update for the same mobility
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
38]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 binding, with a lifetime value greater than 0, then it
>                 must update the binding cache entry with the accepted
>                 binding values. By the end of this wait-time, if the
>                 local mobility anchor did not receive any valid Proxy
>                 Binding Update message for that mobility binding, it
>                 MUST delete the Binding Cache entry. This delay
>                 essentially ensures that a mobile node's Binding Cache
>                 entry is not deleted too quickly and allows some time
>                 for the new mobile access gateway to complete the
>                 signaling for the mobile node.
>              The default value for this variable is 10000
>                 milliseconds.

The default value MUST be in a DEFVAL clause.

>                "
>            REFERENCE
>                "RFC 5213: Section 5.3.5, 9.1"
>               ::= { pmip6LmaConf 1 }
> 
>        pmip6LmaMaxDelayBeforeNewBCEAssign OBJECT-TYPE
>            SYNTAX      Integer32 (1..65535)
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "This variable specifies the length of time in
>                 milliseconds the local mobility anchor MUST wait for
>                 the de-registration message for an existing mobility
>                 session before it decides to create a new mobility
>                 session.
>                 The default value for this variable is 1500
>                 milliseconds.

The default value must be in a DEFVAL clause.

> Note that there is a dependency between
>                 this value and the values used in the retransmission
>                 algorithm for Proxy Binding Updates. The
retransmissions
>                 need to happen before MaxDelayBeforeNewBCEAssign runs
>                 out, as otherwise there are situations where a
>                 de-registration from a previous mobile access gateway
>                 may be lost, and the local mobility anchor creates,
>                 needlessly, a new mobility session and new prefixes
for
>                 the mobile node.  However, this affects situations
where
>                 there is no information from the lower layers about
the
>                 type of a handoff or other parameters that can be used
>                 for identifying the mobility session.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.4.1.2, 5.4.1.3, 9.1"
>               ::= { pmip6LmaConf 2 }
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
39]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>        pmip6LmaTimestampValidityWindow OBJECT-TYPE
>            SYNTAX      Integer32 (1..65535)
>            MAX-ACCESS  read-write
>            STATUS      current
>            DESCRIPTION
>                "This variable specifies the maximum length of time
>                 difference in milliseconds between the timestamp in
the

As the value is in milliseconds there should be a UNITS clause.

>                 received Proxy Binding Update message and the current
>                 time-of-day on the local mobility anchor, that is
>                 allowed by the local mobility anchor for the received
>                 message to be considered valid.
>                 The default value for this variable is 300
milliseconds.

The default value should be in a DEFVAL clause

>                 This variable must be adjusted to suit the
deployments.
>                "
>            REFERENCE
>                "RFC 5213: Section 5.5, 9.1"
>               ::= { pmip6LmaConf 3 }
> 
>        pmip6LmaHomeNetworkPrefixTable   OBJECT-TYPE
>             SYNTAX      SEQUENCE OF PMip6LmaHomeNetworkPrefixEntry
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "A table representing the Home Network Prefixes
>                  assigned to the connected interfaces of all the
>                  mobile nodes anchored at the LMA.
>                 "
>             REFERENCE
>                 "RFC 5213: Section 2, 5.1, 5.2"
>             ::= { pmip6LmaConf 4 }
> 
>        pmip6LmaHomeNetworkPrefixEntry OBJECT-TYPE
>             SYNTAX      PMip6LmaHomeNetworkPrefixEntry
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "An entry in the Home Network Prefixes table.
> 
>                  Implementers need to be aware that if the total
>                  number of octets in pmip6LmaHomeNetworkPrefix
>                  exceeds 114 then OIDs of column
>                  instances in this row will have more than 128
>                  sub-identifiers and cannot be accessed using
>                  SNMPv1, SNMPv2c, or SNMPv3.
>                 "
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
40]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>             INDEX  { pmip6BindingMnIdentifier,
>                      pmip6BindingMnLlIdentifier,
>                      pmip6LmaHomeNetworkPrefixType,
>                      pmip6LmaHomeNetworkPrefix }
>             ::= { pmip6LmaHomeNetworkPrefixTable 1 }
> 
> 
>        PMip6LmaHomeNetworkPrefixEntry ::=
>             SEQUENCE {
>              pmip6LmaHomeNetworkPrefixType      InetAddressType,
>              pmip6LmaHomeNetworkPrefix          InetAddress,
>              pmip6LmaHomeNetworkPrefixLength
InetAddressPrefixLength,
>              pmip6LmaHomeNetworkPrefixLifeTime  Gauge32
>            }
> 
> 
>        pmip6LmaHomeNetworkPrefixType  OBJECT-TYPE
>             SYNTAX      InetAddressType
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "The InetAddressType of the pmip6LmaHomeNetworkPrefix
>                  that follows.
>                 "
>             ::= { pmip6LmaHomeNetworkPrefixEntry 1 }
> 
> 
>        pmip6LmaHomeNetworkPrefix   OBJECT-TYPE
>             SYNTAX      InetAddress
>             MAX-ACCESS  not-accessible
>             STATUS      current
>             DESCRIPTION
>                 "The mobile network prefix that is delegated to the
>                  mobile node. The type of the address represented by
>                  this object is specified by the corresponding
>                  pmip6LmaHomeNetworkPrefixType object.
>                 "
>             REFERENCE
>                 "RFC 5213: Section 2"
> 
>             ::= { pmip6LmaHomeNetworkPrefixEntry 2 }
> 
> 
>        pmip6LmaHomeNetworkPrefixLength   OBJECT-TYPE
>             SYNTAX      InetAddressPrefixLength
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
41]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>             MAX-ACCESS  read-only
>             STATUS      current
>             DESCRIPTION
>                     "The prefix length of the Home Network Prefix.
>                     "
>             ::= { pmip6LmaHomeNetworkPrefixEntry 3 }
> 
>        pmip6LmaHomeNetworkPrefixLifeTime   OBJECT-TYPE
>             SYNTAX      Gauge32
>             UNITS       "seconds"
>             MAX-ACCESS  read-write
>             STATUS      current
>             DESCRIPTION
>                 "The lifetime (in seconds) granted to the mobile
>                  node for this registration.
>                 "
>             REFERENCE
>                 "RFC 5213: Section 5.3"
>             ::= { pmip6LmaHomeNetworkPrefixEntry 4 }
> 
> 
>          --
>          -- pmip6Notifications
>          --
>          --
> 
>          pmip6MagHomeTunnelEstablished NOTIFICATION-TYPE
>              OBJECTS   {
>                          pmip6MagBLTunnelIfIdentifier,
>                       -- pmip6MagProxyCOAType,
>                       -- pmip6MagProxyCOA

Why adding these as a comment? I suggest deleting them.

>                          pmip6MagProxyCOAState
>                        }
>              STATUS    current
>              DESCRIPTION
>                  "This notification is sent by the Proxy MobileIPv6
>                   entities every time the tunnel is established
between
>                   the local mobility anchor and mobile access gateway.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.6.1"
>                  ::= { pmip6Notifications 1 }
> 
> 
>          pmip6MagHomeTunnelReleased NOTIFICATION-TYPE
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
42]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>              OBJECTS {
>                        pmip6MagBLTunnelIfIdentifier,
>                     -- pmip6MagProxyCOAType,
>                     -- pmip6MagProxyCOA

Why adding these as a comment? I suggest deleting them.

>                        pmip6MagProxyCOAState
>                      }
>              STATUS    current
>              DESCRIPTION
>                  "This notification is sent by the Proxy MobileIPv6
>                   entities every time the tunnel between the local
>                   mobility anchor and mobile access gateway is
released.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.6.1"
>                  ::= { pmip6Notifications 2}
> 
>          pmip6LmaHomeTunnelEstablished NOTIFICATION-TYPE
>              OBJECTS   {
>                          pmip6BindingTunnelIfIdentifier,
>                       -- pmip6LmaLMAAType,
>                       -- pmip6LmaLMAA,

Why adding these as a comment? I suggest deleting them.

>                          pmip6LmaLMAAState
>                        }
>              STATUS    current
>              DESCRIPTION
>                  "This notification is sent by the Proxy MobileIPv6
>                   entities every time the tunnel is established
between
>                   the local mobility anchor and mobile access gateway.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.6.1"
>                  ::= { pmip6Notifications 3 }
> 
> 
>          pmip6LmaHomeTunnelReleased NOTIFICATION-TYPE
>              OBJECTS {
>                        pmip6BindingTunnelIfIdentifier,
>                     -- pmip6LmaLMAAType,
>                     -- pmip6LmaLMAA,

Why adding these as a comment? I suggest deleting them.

>                        pmip6LmaLMAAState
>                      }
>              STATUS    current
>              DESCRIPTION
>                  "This notification is sent by the Proxy MobileIPv6
>                   entities every time the tunnel between the local
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
43]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                   mobility anchor and mobile access gateway is
released.
>                  "
>              REFERENCE
>                  "RFC 5213: Section 5.6.1"
>                  ::= { pmip6Notifications 4}
> 
>           -- Conformance information
>          pmip6Groups      OBJECT IDENTIFIER ::= { pmip6Conformance 1 }
>          pmip6Compliances OBJECT IDENTIFIER ::= { pmip6Conformance 2 }
> 
> 
>           -- Units of conformance
>          pmip6SystemGroup    OBJECT-GROUP
>               OBJECTS {
>                   pmip6Capabilities,
>                   pmip6Status,
>                   pmip6MobileNodeGeneratedTimestampInUse,
>                   pmip6FixedMagLinkLocalAddressOnAllAccessLinksType,
>                   pmip6FixedMagLinkLocalAddressOnAllAccessLinks,
>                   pmip6FixedMagLinkLayerAddressOnAllAccessLinks
> 
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for basic PMIPv6
>                     monitoring."
>               ::= { pmip6Groups 1 }
> 
>          pmip6BindingCacheGroup    OBJECT-GROUP
>               OBJECTS {
>                   pmip6BindingPBUFlag,
>                   pmip6BindingMnIdentifier,
>                   pmip6BindingMnLlIdentifier,
>                   pmip6BindingMagLinkLocalAddressType,
>                   pmip6BindingMagLinkLocalAddress,
>                   pmip6BindingTunnelIfIdentifier,
>                   pmip6BindingAccessTechnologyType,
>                   pmip6BindingTimeRecentlyAccepted
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for monitoring the
>                     PMIPv6 extensions of the Binding Cache."
>               ::= { pmip6Groups 2 }
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
44]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>          pmip6StatsGroup    OBJECT-GROUP
>               OBJECTS {
>                   pmip6MissingMnIdentifierOption,
>                   pmip6MagNotAuthorizedForProxyReg,
>                   pmip6NotLMAForThisMobileNode,
>                   pmip6ProxyRegNotEnabled,
>                   pmip6MissingHomeNetworkPrefixOption,
>                   pmip6MissingHandOffIndicatorOption,
>                   pmip6MissingAccessTechTypeOption,
>                   pmip6NotAuthorizedForHomeNetworkPrefix,
>                   pmip6TimestampMismatch,
>                   pmip6TimestampLowerThanPrevAccepted,
>                   pmip6BcePbuPrefixSetDoNotMatch,
>                   pmip6InitialBindingRegistrations,
>                   pmip6BindingLifeTimeExtensionNoHandOff,
>                   pmip6BindingLifeTimeExtensionAfterHandOff,
>                   pmip6BindingDeRegistrations,
>                   pmip6BindingBindingAcks,
>                   pmip6CounterDiscontinuityTime
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for basic PMIPv6
>                     statistics monitoring.
>                   "
>               ::= { pmip6Groups 3 }
> 
>          pmip6MagSystemGroup    OBJECT-GROUP
>               OBJECTS {
>             --  pmip6MagProxyCOAType,
>             --  pmip6MagProxyCOA

Why adding these as a comment? I suggest deleting them.

>                 pmip6MagProxyCOAState
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for monitoring the
>                     PMIPv6 system related objects on a mobile router."
>               ::= { pmip6Groups 4 }
> 
>          pmip6MagConfigurationGroup    OBJECT-GROUP
>               OBJECTS {
>               --  pmip6MagHomeNetworkPrefixType,
>               --  pmip6MagHomeNetworkPrefix,

Why adding these as a comment? I suggest deleting them.

>                   pmip6MagHomeNetworkPrefixLength,
>                   pmip6MagHomeNetworkPrefixLifeTime,
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
45]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                   pmip6MagEnableMagLocalRouting
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for monitoring the
>                     configuration related objects on a mobile access
>                     gateway.
>                   "
>               ::= { pmip6Groups 5 }
> 
>          pmip6MagRegistrationGroup    OBJECT-GROUP
>               OBJECTS {
>                   pmip6MagBLFlag,
>                   pmip6MagBLMnIdentifier,
>                   pmip6MagBLlMnIdentifier,
>                   pmip6MagBLMagLinkLocalAddressType,
>                   pmip6MagBLMagLinkLocalAddress,
>                   pmip6MagBLMagIfIdentifierToMn,
>                   pmip6MagBLTunnelIfIdentifier,
>                   pmip6MagBLAccessTechnologyType,
>                   pmip6MagBLTimeRecentlyAccepted,
>                -- pmip6MagMnIndex,

Why adding index as a comment? I suggest deleting it.

>                   pmip6MagMnIdentifier,
>                   pmip6MagMnLocalMobilityAnchorAddressType,
>                   pmip6MagMnLocalMobilityAnchorAddress
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for monitoring the
>                     registration related objects on a mobile access
>                     gateway.
>                   "
>               ::= { pmip6Groups 6 }
> 
>          pmip6LmaSystemGroup    OBJECT-GROUP
>               OBJECTS {
>                   pmip6LmaLMAAState
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for monitoring the
>                     system related objects on an LMA."
>               ::= { pmip6Groups 7 }
> 
>          pmip6LmaConfigurationGroup    OBJECT-GROUP
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
46]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>               OBJECTS {
>                   pmip6LmaMinDelayBeforeBCEDelete,
>                   pmip6LmaMaxDelayBeforeNewBCEAssign,
>                   pmip6LmaTimestampValidityWindow,
>                   pmip6LmaHomeNetworkPrefixLength,
>                   pmip6LmaHomeNetworkPrefixLifeTime
>              }
>               STATUS  current
>               DESCRIPTION
>                   " A collection of objects for Monitoring the
>                     configuration related objects on an LMA."
>               ::= { pmip6Groups 8 }
> 
>           pmip6MagNotificationGroup   NOTIFICATION-GROUP
>               NOTIFICATIONS {
>                        pmip6MagHomeTunnelEstablished,
>                        pmip6MagHomeTunnelReleased
>              }
>               STATUS  current
>               DESCRIPTION
>                   "A collection of notifications from a home agent
>                    or correspondent node to the Manager about the
>                    tunnel status of the mobile router.
>                   "
>               ::= { pmip6Groups 9 }
> 
>           pmip6LmaNotificationGroup   NOTIFICATION-GROUP
>               NOTIFICATIONS {
>                        pmip6LmaHomeTunnelEstablished,
>                        pmip6LmaHomeTunnelReleased
>              }
>               STATUS  current
>               DESCRIPTION
>                   "A collection of notifications from a home agent
>                    or correspondent node to the Manager about the
>                    tunnel status of the mobile router.
>                   "
>               ::= { pmip6Groups 10 }
> 
> 
> 
>           -- Compliance statements

All the compliance statements need to be updated. There is a generic was
of expressing
the compliance and that is not sufficient, IMO.

I also miss the full compliance as all compliance statements should be
composed to
make full compliance. Or are there mutual exclusive groups?

Also for compliance levels that do not have the MAX-ACCESS, for
instance, an compliance
level that has a read-only level. You need to define per object the
MIN-ACCESS.
Take the DIFFSERV-MIB as an example.

>          pmip6CoreCompliance MODULE-COMPLIANCE

>               STATUS  current
>               DESCRIPTION
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
47]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                   "The compliance statement for SNMP entities
>                    which implement the PMIPV6-MIB.

I do not believe this is correct. This does not implement the PMIV6-MIB,
but just
a portion of it.

>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
>                    -- OBJECT      pmip6BindingHomeAddressType
>                    -- SYNTAX      InetAddressType { ipv6(2) }
>                    -- DESCRIPTION
>                    --   This MIB module requires support for global
>                    --   ipv6 addresses for the pmip6BindingHomeAddress
>                    --   object.
>                    --

I do not understand what this should mean in terms of a compliance
statement.

>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6SystemGroup
>                                    }
>               ::= { pmip6Compliances 1 }
> 
>          pmip6Compliance2 MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities
>                    which implement the MOBILEIPV6-MIB.

Why defining the compliance for another MIB? I see a point in that it
relates or depends on another MIB, but the text is then NOT in line with
the MANDATORY-GROUPS.

>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
> 
>                     -- OBJECT      mip6BindingHomeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
mip6BindingHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6BindingHomeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
mip6BindingHomeAddress
>                     --     object.
>                     --
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
48]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6SystemGroup,
>                                      pmip6BindingCacheGroup,
>                                      pmip6StatsGroup
>                                    }
>               ::= { pmip6Compliances 2 }
> 
>          pmip6CoreReadOnlyCompliance MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities
>                    that implement the PMIPV6-MIB without support.

Delete the '.' in the end of the line.

>                    for read-write (i.e., in read-only mode).
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6SystemGroup
>                                    }

In case you define a readn-only compliance, you need to define per
object the
minimal access.
Take as example the diffserv mib that has a readonly compliance.

>               ::= { pmip6Compliances 3 }
> 
>          pmip6ReadOnlyCompliance2 MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities
>                    that implement the PMIPV6-MIB without support.
>                    for read-write (i.e., in read-only mode).
> 
>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
> 
>                     -- OBJECT      mip6BindingHomeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
mip6BindingHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6BindingHomeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
mip6BindingHomeAddress
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
49]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                     --     object.
>                     --
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6SystemGroup,
>                                      pmip6BindingCacheGroup
>                                    }
>               ::= { pmip6Compliances 4 }
> 
>          pmip6MagCoreCompliance MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities
>                    which implement the PMIPV6-MIB.
>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
>                     -- OBJECT      pmip6MagProxyCOAType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6MagProxyCOA
>                     --     object.
>                     --
>                     -- OBJECT      pmip6MagProxyCOA
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6MagProxyCOAType
>                     --     object.
>                     --
>                     -- OBJECT      pmip6MagHomeNetworkPrefixType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6MagHomeNetworkPrefix object.
>                     --
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6MagSystemGroup
>                                    }
>               ::= { pmip6Compliances 5 }
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
50]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>          pmip6MagCompliance2 MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities that
>                    implement the PMIPV6-MIB for monitoring
configuration
>                    related information, registration details, and
>                    statistics on a mobile access gateway.
> 
>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
> 
>                     -- OBJECT      pmip6MagProxyCOAType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6MagProxyCOA
>                     --     object.
>                     --
>                     -- OBJECT      pmip6MagProxyCOA
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6MagProxyCOAType
>                     --     object.
>                     --
>                     -- OBJECT      pmip6MagHomeNetworkPrefixType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6MagHomeNetworkPrefix object.
>                     --
>                     -- OBJECT      pmip6MagHomeNetworkPrefix
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6MagHomeNetworkPrefix object.
>                     --
> 
>                     -- OBJECT      mip6MnHomeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
51]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnHomeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnBLNodeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnBLNodeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnBLNodeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnBLNodeAddress
>                     --     object.
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6MagSystemGroup,
>                                      pmip6MagConfigurationGroup,
>                                      pmip6MagRegistrationGroup
>                                    }
>               ::= { pmip6Compliances 6 }
> 
>          pmip6MagReadOnlyCompliance MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities that
>                    implement the PMIPV6-MIB without support for read-
>                    write (i.e., in read-only mode) and with support
>                    for monitoring configuration related information,
>                    registration details, and statistics on a mobile
>                    access gateway.
> 
>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
52]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
> 
>                     -- OBJECT      pmip6MagProxyCOAType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6MagProxyCOA
>                     --     object.
>                     --
>                     -- OBJECT      pmip6MagProxyCOA
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6MagProxyCOAType
>                     --     object.
>                     --
>                     -- OBJECT      pmip6MagHomeNetworkPrefixType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6MagHomeNetworkPrefix object.
>                     --
>                     -- OBJECT      pmip6MagHomeNetworkPrefix
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6MagHomeNetworkPrefix object.
>                     --
> 
>                     -- OBJECT      mip6MnHomeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnHomeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnHomeAddress
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
53]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnBLNodeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnBLNodeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnBLNodeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnBLNodeAddress
>                     --     object.
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6MagSystemGroup,
>                                      pmip6MagConfigurationGroup,
>                                      pmip6MagRegistrationGroup
>                                    }
>               ::= { pmip6Compliances 7 }
> 
> 
>          pmip6LmaCoreCompliance MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities
>                    which implement the PMIPV6-MIB.
>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
>                     -- OBJECT      pmip6LmaLMAAType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6LmaLMAA
>                     --     object.
>                     --
>                     -- OBJECT      pmip6LmaLMAA
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
54]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                     --     IPv6 addresses for the pmip6LmaLMAA
>                     --     object.
>                     --
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6LmaSystemGroup
>                                    }
>               ::= { pmip6Compliances 8 }
> 
>          pmip6LmaCompliance2 MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                   "The compliance statement for SNMP entities that
>                    implement the PMIPV6-MIB for monitoring
configuration
>                    related information, registration details, and
>                    statistics on a mobile access gateway.
> 
>                    There are a number of INDEX objects that cannot be
>                    represented in the form of OBJECT clauses in
>                    SMIv2, but for which there are compliance
>                    requirements, expressed in OBJECT clause form in
>                    this description:
> 
>                     -- OBJECT      pmip6LmaLMAAType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6LmaLMAA
>                     --     object.
>                     --
>                     -- OBJECT      pmip6LmaLMAA
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the pmip6LmaLMAA
>                     --     object.
>                     --
>                     -- OBJECT      pmip6LmaHomeNetworkPrefixType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6LmaHomeNetworkPrefix object.
>                     --
>                     -- OBJECT      pmip6LmaHomeNetworkPrefix
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
55]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the
>                     --     pmip6LmaHomeNetworkPrefix object.
>                     --
> 
>                     -- OBJECT      mip6MnHomeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnHomeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnHomeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnBLNodeAddressType
>                     -- SYNTAX      InetAddressType { ipv6(2) }
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnBLNodeAddress
>                     --     object.
>                     --
>                     -- OBJECT      mip6MnBLNodeAddress
>                     -- SYNTAX      InetAddress (SIZE(16))
>                     -- DESCRIPTION
>                     --     This MIB module requires support for global
>                     --     IPv6 addresses for the mip6MnBLNodeAddress
>                     --     object.
>                    "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6LmaSystemGroup,
>                                      pmip6LmaConfigurationGroup
>                                    }
>               ::= { pmip6Compliances 9 }
> 
>          pmip6MagNotificationCompliance MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                      "The compliance statement for SNMP entities that
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
56]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                       implement the PMIPV6-MIB and support
Notification
>                       from the mobile access gateway.
>                       "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6MagNotificationGroup
>                                    }
>               ::= { pmip6Compliances 10 }
> 
>          pmip6LmaNotificationCompliance MODULE-COMPLIANCE
>               STATUS  current
>               DESCRIPTION
>                      "The compliance statement for SNMP entities that
>                       implement the PMIPV6-MIB and support
Notification
>                       from the LMA.
>                       "
>               MODULE  -- this module
>                   MANDATORY-GROUPS { pmip6LmaNotificationGroup
>                                    }
>               ::= { pmip6Compliances 11 }
> 
>          END
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
57]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
> 6.  Security Considerations
> 
>    There are a number of management objects defined in this MIB module
>    with a MAX-ACCESS clause of read-write.  Such objects may be
>    considered sensitive or vulnerable in some network environments.
The
>    support for SET operations in a non-secure environment without
proper
>    protection can have a negative effect on network operations.  These
>    are the tables and objects and the corresponding
>    sensitivity/vulnerability:
>       pmip6Status: The value of this object is used to enable or
disable
>          the PMIPv6 functionality on a PMIPv6 entity. Access to this
MO
>          may be abused to disrupt the communication that depends on
>          PMIPv6.
>       pmip6MobileNodeGeneratedTimestampInUse :
>       pmip6FixedMagLinkLocalAddressOnAllAccessLinksType:
>       pmip6FixedMagLinkLocalAddressOnAllAccessLinks:
>       pmip6FixedMagLinkLayerAddressOnAllAccessLinks:
>       pmip6MagEnableMagLocalRouting:
>       pmip6MagHomeNetworkPrefixLifeTime:
>       pmip6LmaMinDelayBeforeBCEDelete:
>       pmip6LmaMaxDelayBeforeNewBCEAssign:
>       pmip6LmaTimestampValidityWindow:
>       pmip6LmaHomeNetworkPrefixLifeTime:
>          Access to the above MOs may be abused to misconfigure PMIPv6
>          entities and disrupt communications.

This looks as some managed objects have nothing specific, but my guess
is that
the objects 'pmip6MobileNodeGeneratedTimestampInUse' until
'pmip6LmaHomeNetworkPrefixLifeTime' have the same security
consideration.

TO avoid this you might change the text from a form that uses 'object':
'problem'
into 'problem' : 'object'.

>    Some of the readable objects in this MIB module (i.e., objects with
a
>    MAX-ACCESS other than not-accessible) may be considered sensitive
or
>    vulnerable in some network environments.  It is thus important to
>    control even GET and/or NOTIFY access to these objects and possibly
>    to even encrypt the values of these objects when sending them over
>    the network via SNMP.  These are the tables and objects and their
>    sensitivity/vulnerability:
> 
>       pmip6LmaHomeNetworkPrefixType:
>       pmip6LmaHomeNetworkPrefix:
>       pmip6LmaHomeNetworkPrefixLength:
>          The above address-related objects may be considered to be
>          particularly sensitive and/or private.
> 
>    SNMP versions prior to SNMPv3 did not include adequate security.
>    Even if the network itself is secure (for example by using IPSec),
>    even then, there is no control as to who on the secure network is
>    allowed to access and GET/SET (read/change/create/delete) the
objects
>    in this MIB module.
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
58]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>    It is RECOMMENDED that implementers consider the security features
as
>    provided by the SNMPv3 framework (see [RFC3410], section 8),
>    including full support for the SNMPv3 cryptographic mechanisms (for
>    authentication and privacy).
> 
>    Further, deployment of SNMP versions prior to SNMPv3 is NOT
>    RECOMMENDED.  Instead, it is RECOMMENDED to deploy SNMPv3 and to
>    enable cryptographic security.  It is then a customer/operator
>    responsibility to ensure that the SNMP entity giving access to an
>    instance of this MIB module is properly configured to give access
to
>    the objects only to those principals (users) that have legitimate
>    rights to indeed GET or SET (change/create/delete) them.
> 
> 7.  IANA Considerations
> 
>    IANA should assign a base arc in the 'mib-2' (standards track) OID
>    tree for the 'pmip6MIB' MODULE-IDENTITY defined in the PMIPV6-MIB.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
59]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
> 8.  References
> 
> 8.1 Normative References
> 
>    [RFC2119]    Bradner, S., Key words for use in RFCs to Indicate
>                 Requirements Levels, BCP 14, RFC 2119, March 1997.
> 
>    [RFC2578]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case,
>                 J., Rose, M. and S. Waldbusser, Structure of
>                 Management Information Version 2 (SMIv2), STD 58,
>                 RFC 2578, April 1999.
> 
>    [RFC2579]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case,
>                 J., Rose, M. and S. Waldbusser, Textual Conventions
>                 for SMIv2, STD 58, RFC 2579, April 1999.
> 
>    [RFC2580]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case,
>                 J., Rose, M. and S. Waldbusser, Conformance
>                 Statements for SMIv2, STD 58, RFC 2580, April 1999.
> 
>    [RFC3775]    Johnson, D., Perkins, C. and Arkko J., Mobility
>                 Support in IPv6 RFC 3775, June 2004.
> 
>    [RFC5213]    Gundavelli, S., Leung, K., Devarapalli, V., Chowdhury,
>                 K., and Patil, B., Proxy Mobile IPv6), RFC 5213,
>                 August 2008.
> 
>    [RFC4293]    Routhier, S., Management Information Base for the
>                 Internet Protocol (IP), RFC 4293, April 2006.
> 
>    [RFC4001]    Daniele, M., Haberman, B., Routhier, S. and
>                 Schoenwaelder, J., Textual Conventions for Internet
>                 Network Addresses, RFC 4001, February 2005.
> 
>    [RFC2863]    McCloghrie, K., and Kastenholz., F., The Interfaces
>                 Group MIB, RFC 2863, June 2000.
> 
>    [RFC4295]    Keeni, G., Koide, K., Nagami, K. and S. Gundavelli,
The
>                 Mobile IPv6 MIB, RFC 4295, April 2006.
> 
>    [RFC4282]    Aboba, B., Beadles, M., Arkko, J., and P. Eronen, The
>                 Network Access Identifier, RFC 4282, December 2005.
> 
>    [RFC4283]    Patel, A., Leung, K., Khalil, M., Akhtar, H., and K.
>                 Chowdhury, Mobile Node Identifier Option for Mobile

If RFC1213 is still imported from, it needs to go in this list.

> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
60]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>                 IPv6 (MIPv6), RFC 4283, November 2005.
> 
> 8.2 Informative References
> 
>    [RFC3410]    Case, J., Mundy, R., Partain, D. and B. Stewart,
>                 Introduction and Applicability Statements for
>                 Internet-Standard Management Framework, RFC 3410,
>                 December 2002.
> 
>    [RFC4831]    Kempf, J., Goals for Network-Based Localized Mobility
>                 Management (NETLMM), RFC 4831, April 2007.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
61]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
> 9.  Acknowledgements
> 
>    The following groups and individuals have contributed to this draft
>    with discussions and comments:
>         WIDE Project netman-WG
>         Dirk von-Hugo
> 
> 10. Authors' Addresses
> 
>    Glenn Mansfield Keeni
>    Cyber Solutions Inc.
>    6-6-3 Minami Yoshinari
>    Aoba-ku, Sendai 989-3204
>    Japan
> 
>    Phone: +81-22-303-4012
>    E-mail: [email-masked]
> 
>    Kazuhide Koide
>    KDDI Corporation
>    GARDEN AIR TOWER 3-10-10, Iidabashi
>    Chiyoda-ku, Tokyo, 102-8460 Japan
> 
>    Phone: +81-3-6678-3378
>    E-mail: [email-masked]
> 
>    Sri Gundavelli
>    Cisco Systems
>    170 W.Tasman Drive,
>    San Jose, CA 95134
>    USA
> 
>    Phone: +1-408-527-6109
>    E-mail: [email-masked]
> 
>    Ryuji Wakikawa
>    TOYOTA InfoTechnology Center, U.S.A., Inc.
>    465 Bernardo Avenue
>    Mountain View, CA
>    94043
>    USA
>    E-mail: [email-masked]
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
62]
> 
> 
> 
> 
> 
> Internet Draft                  pmip6MIB                     August
2010
> 
> 
>    Appendix. History of Changes
> 
>       Changes since draft-ietf-netlmm-pmipv6-mib-00.txt
>       a. Fixed editorial nits, missing references
> 
>       Changes since draft-ietf-netlmm-pmipv6-mib-00.txt
>       a. Added appendix for change history
>       b. Changed MAX-ACCESS of pmip6MagHomeNetworkPrefixLifeTime
>          read-write -> read-only
>       Changes since draft-ietf-netlmm-pmipv6-mib-02.txt
>       a. Fixed editorial nits.
>       b. Added DISPLAY-HINT, fixed DESCRIPTION and REFERENCE of
>          Pmip6MNLlIdentifier ::=  TEXTUAL-CONVENTION
>       c. Fixed DESCRIPTION of
>          Pmip6MNIndex ::= TEXTUAL-CONVENTION
>       d. Fixed DESCRIPTION of
>          Pmip6PBUAccessTechnologyType ::=  TEXTUAL-CONVENTION
>       e. Fixed DESCRIPTION of
>          pmip6MagProxyCOAState  OBJECT-TYPE
>          pmip6MagHomeNetworkPrefixTable   OBJECT-TYPE
>          pmip6MagHomeNetworkPrefixLifeTime   OBJECT-TYPE
>          pmip6BindingPBUFlag OBJECT-TYPE
>          pmip6LmaMinDelayBeforeBCEDelete OBJECT-TYPE
>          pmip6LmaHomeNetworkPrefixTable   OBJECT-TYPE
>          pmip6CoreCompliance MODULE-COMPLIANCE
> 
> 
> 
> 
> 

Should this still go in the RFC? I guess, an RFC editor note to delete
this is needed.

> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Glenn M. Keeni.       Expires: February 19, 2011               [Page
63]